Subject: Re: [Patch 1/2] IB/mlx5: Implementation of PCI error handler

From: Eli Cohen <[email-masked]>
Date: Thu, 13 Mar 2014 17:40:02 +0200

On Thu, Mar 13, 2014 at 10:12:19AM -0500, Carol Soto wrote:
> 
> In mlx4 code, I do not recall a timeout for commands this big. So
> the reason in mlx5 is 2 hrs is just for
> debugging purposes? So if for any reason a command hang then the
> user can not remove this module
> for the next 2 hrs?
> 
Hi Carol,
well I haven't seen any such case with latest firmware releases.
Anyway, 10 msec is really too short timeout value since there are
commands that can take more than that (e.g. memory registartion of
regions larger then 512 MB - though this will be changed soon). I
wonder what was the original motivation and have you been able to
simulate PCI errors and see this in action.